%define		PYVER		2.6
%define		__python	python%{PYVER}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>
Name:           gobject-introspection
Version:        0.9.12
Release:        1
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686
Summary:        Introspection system for GObject-based libraries
Group:		Development/Libraries
License:        GPLv2+, LGPLv2+, MIT
URL:            http://live.gnome.org/GObjectIntrospection
Source0:        gobject-introspection-%{version}.tar.bz2
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  chrpath

BuildRequires: cairo-devel
BuildRequires: libxcb-devel
BuildRequires: xcb-util-devel

BuildRequires:  libXxf86vm-devel
BuildRequires:  libXdamage-devel

BuildRequires: libtool

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libffi-devel
BuildRequires: pkg-config
BuildRequires: python26-devel
BuildRequires: zlib-devel

%description
GObject Introspection can scan C header and source files in order to
generate introspection "typelib" files.  It also provides an API to examine
typelib files, useful for creating language bindings among other
things.

%package devel
Summary: Libraries and headers for gobject-introspection
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: glib-devel
Requires: pkgconfig

%description devel
Libraries and headers for gobject-introspection

%prep
%setup -q %{name}-%{version}

%build
%configure PYTHON=/usr/bin/python%{PYVER}
make V=1

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Die libtool, die.
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/g-ir-{compiler,generate}
# Mistake in upstream automake
rm -f $RPM_BUILD_ROOT/%{_bindir}/barapp

# Move the python modules to the correct location
mkdir -p $RPM_BUILD_ROOT/%{python_sitearch}
mv $RPM_BUILD_ROOT/%{_libdir}/gobject-introspection/giscanner $RPM_BUILD_ROOT/%{python_sitearch}/

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/girepository-1.0
%{_libdir}/libgirepository-1.0.so.*
%{_datadir}/gir-1.0

%files devel
%defattr(-,root,root)
%{_includedir}/gobject-introspection-1.0
%{_datadir}/gobject-introspection-1.0/Makefile.introspection
%{_datadir}/gobject-introspection-1.0/gdump.c
%{_datadir}/gobject-introspection-1.0/tests
%{python_sitearch}/giscanner
%{_bindir}/g-ir-compiler
%{_bindir}/g-ir-generate
%{_bindir}/g-ir-scanner 
%{_bindir}/g-ir-annotation-tool
%{_libdir}/libgirepository-1.0.so                      
%{_pkgconfig}/gobject-introspection-1.0.pc             
%{_pkgconfig}/gobject-introspection-no-export-1.0.pc   
%{_aclocal}/introspection.m4
%{_mandir}/man1/g-ir-compiler.1.gz
%{_mandir}/man1/g-ir-generate.1.gz
%{_mandir}/man1/g-ir-scanner.1.gz
%{_datadir}/gtk-doc/html/gi

%changelog
* Fri Dec 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.12-1
- Version update
* Thu Sep 30 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.10-1
- Version update
* Thu Sep 30 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.9-1
- Version update
* Wed Sep 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.8-1
- Version update
* Tue Sep 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.6-1
- Version update
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.3-1
- Version update
* Tue Mar 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.6.9-1
- Version update
* Mon Feb 15 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.6.7-1
- Version update
* Sat Nov 21 2008 Christian Metzen <metzench@ccux-linux.de> 0.6.5-1
- Initial CCux package release
